# OgreHighLevelGpuProgram.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreGpuProgram.h"`

Go to the source code of this file.

## Classes

class | Ogre::HighLevelGpuProgram
| Abstract base class representing a high-level program (a vertex or fragment program). More...
class | Ogre::HighLevelGpuProgramPtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to HighLevelGpuProgramPtr. More...

## Namespaces

namespace | Ogre

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09